<script src="<?= VENDORAGENTE; ?>jquery/jquery.min.js"></script>
<script src="<?= VENDORAGENTE; ?>bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="<?= LIB_JS; ?>sweetalert2.js" type="text/javascript"></script>
<script src="<?= VENDORAGENTE; ?>babel.min.js"></script>
<!-- Phone -->
<script src="/Dialvox/public/chat/socket.io/dist/socket.io.js" type="text/javascript"></script>


<script>
	//Variables que necesita el sistema
	let RUTA_MAESTRA = "<?= RUTA_MAESTRA; ?>"; //Ruta a donde debe apuntar las peticiones
	let MODULOS = "<?= MODULOS ?>";
	let Manual = "<?= $_SESSION["dial_method"]; ?>"; //Metodo de marcado
	let campanaActual = "<?= $_SESSION["Campana"]; ?>"; //ID de la campaña
	let TiempoDispo = <?= $_SESSION["max_time_dispo"]; ?>; // Tiempo para calificar
	let ventanas = <?= $_SESSION["windows_check"]; ?>; //1 significa que puede trabajar con varias ventas, 0 que no
	let allow_beep = <?= $_SESSION["allow_beep"]; ?>; //1 significa que tiene permitido el beep, 0 que no
	let time_beep = <?= $_SESSION["time_beep"]; ?>; ///tiempo en que el beep empieza a sonar
	let time_repeat = <?= $_SESSION["time_repeat"]; ?>; ///Tiempor que le toma al beep volver a sonar
	let Usuario = `<?= $_SESSION["Usuario"]; ?>`; ///ID del usuario
	let campaign_recording = `<?= $_SESSION["campaign_recording"]; ?>`;
	let TELEFONO_LIMITE = <?= TELEFONO_LIMITE; ?>;
	let LIMITE_PETICIONES_AGENTE = <?= LIMITE_PETICIONES_AGENTE; ?>;
	const PING_WEB_ACTIVO = <?= (PING_WEB_ACTIVO ? "true" : "false") ?>;
	const TIEMPO_PING_TELEFONIA = <?= TIEMPO_PING_TELEFONIA; ?>;
	// Variables para encuesta por defecto
	const INICIAR_ENCUESTA_DEFECTO = <?= isset($_SESSION["agente_IdEncuestaDefault"]) ? 'true' : 'false'; ?>;
	const ID_ENCUESTA_DEFECTO = <?= isset($_SESSION["agente_IdEncuestaDefault"]) ? $_SESSION["agente_IdEncuestaDefault"] : '0' ?>;
	// Variables para encuestas por defecto

	// Grupo de agentes
	const GRUPO_AGENTE = "<?php if (isset($_SESSION["Categoria"])) {
								echo $_SESSION["Categoria"];
							} else {
								echo "";
							} ?>";



	<?php if (defined("BANDERA_ES")) { ?>
		// Constante para decidir que bandera mostrar
		window.DIALVOX_BANDERA_ES = "<?php echo BANDERA_ES; ?>"
	<?php } ?>
	// 0 llamada siguiente

	const _FORZAR_PAUSA = <?php echo isset($_SESSION["autopausa_Activa"]) ? "true" : "false"; ?>;
	const _FORZAR_PAUSA_CODIGO = <?php echo isset($_SESSION["autopausa_Codigo"]) ? "'" .  $_SESSION["autopausa_Codigo"] . "'" : "'DAUTO'"; ?>;
	const _FORZAR_PAUSA_TONO = <?php echo isset($_SESSION["autopausa_Tono"]) ? "'" . $_SESSION["autopausa_Tono"] . "'" : "''"; ?>;
	const _FORZAR_PAUSA_VOLUMEN = <?php echo isset($_SESSION["autopausa_Volumen"]) ? "'" . $_SESSION["autopausa_Volumen"] . "'" : "50"; ?>;


	///Esto abre un sweet alert para que el usuario pueda enviar varios DTMF
	function mandaVariosDTMF() {
		Swal.fire({
			title: '<?php echo lang("multiplesDtmf"); ?>',
			icon: 'warning',
			html: '<input id="campoDTMFS"  onkeydown="return validaNum(event)" title="<?php echo lang("avisoDtmf"); ?>" >',
			showCloseButton: true,
			showCancelButton: true,
			focusConfirm: false,
			confirmButtonText: '<?php echo lang("confirmar"); ?>',
			cancelButtonText: '<?php echo lang("cancelar"); ?>',
			preConfirm: () => {
				return document.getElementById('campoDTMFS').value;
			}
		}).then(results => {
			if (results && results.value) {
				results.value = results.value.replace("#", "P").replace("*", "S").replace(" ", "").replace("-", "Q");
				sendDTMF(results.value)
			}
		})
	}
</script>


<!--
	Variables necesarias del sistema independientes a php
-->
<script src="<?= JS; ?>foot.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/foot.js"); ?>" type="text/javascript"></script>



<!-- Agendar Callbacks -->
<script src="<?= JS; ?>callbacks.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/callbacks.js"); ?>"></script>
<script type='text/javascript'>
	let scheduler = new Scheduler()
</script>
<!-- Agendar Callbacks -->
<script src="<?= JS_ADMIN; ?>vue.js"></script>
<script src="<?= JS; ?>ping.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/ping.js"); ?>"></script>
<script
	src="<?= JS; ?>transferencia.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/transferencia.js"); ?>"></script>
<script src="<?= JS; ?>encuestas.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/encuestas.js"); ?>"></script>
<script src="<?= JS; ?>telefono.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/telefono.js"); ?>"
	type="text/javascript"></script>
<script src="<?= JS; ?>califica.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/califica.js"); ?>"
	type="text/javascript"></script>
<script src="<?= JS; ?>pausa.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/pausa.js"); ?>"
	type="text/javascript"></script>
<script src="<?= JS; ?>llamada.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/llamada.js"); ?>"
	type="text/javascript"></script>
<script src="<?= JS; ?>crm.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/crm.js"); ?>"
	type="text/javascript"></script>
<script src="<?= JS; ?>WhatsApp.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/WhatsApp.js"); ?>"
	type="text/javascript"></script>
<?php if ($_SESSION["allow_chat"] == 1) { ?>
	<script src="<?= JS; ?>chat.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/chat.js"); ?>"
		type="text/javascript"></script>
<?php } ?>

<script src="<?= JS; ?>v2/common.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/v2/common.js"); ?>" type="text/javascript"></script>
<script src="<?= JS; ?>v2/transferencia.agentes.js?version=<?= md5_file(RUTA_APP . "public/homeAgente/js/v2/transferencia.agentes.js"); ?>" type="text/javascript"></script>

<audio id="beep" controls style="display: none">
	<source type="audio/wav" src="<?= VENDORAGENTE; ?>beep.mp3">
</audio>

<script>
	let DIALVOX_NEED_WA = false;
	let WhatsAppIframe;
	let RUTA_WA = "";
	<?php if (NEED_WA && $_SESSION["allow_waCli"] && $_SESSION["WA_USER"] && $_SESSION["allow_wa"]) { ?>
		RUTA_WA = "<?= RUTA_WA; ?>";
		DIALVOX_NEED_WA = true;

		function whatsappDialvoxTab() {
			WhatsAppIframe = generarTab("whatsappDialvoxTab", "WhatsApp", RUTA_WA)
			tabsActuales["whatsappDialvox"] = {
				estatico: true,
				tab: WhatsAppIframe.tab,
				pane: WhatsAppIframe.pane,
				iframe: WhatsAppIframe.iframe
			}

			setTimeout(() => {
				redirectPost(`<?= RUTA_WA; ?>/Login/login`, {
					usuario: `<?= $_SESSION["wa_user"]; ?>`,
					password: `<?= $_SESSION["wa_pass"]; ?>`,
					campana: `<?= $_SESSION["wa_camp"]; ?>`
				}, `${WhatsAppIframe.iframe.attr('id')}`)
			}, 1000)

			setTimeout(() => {
				WhatsAppIframe.iframe.attr('src', RUTA_WA)
			}, 3000)

		}

		function redirectPost(location, args, target) {
			var form = '';
			$.each(args, function(key, value) {
				value = value.split('"').join('\"')
				form += '<input type="hidden" name="' + key + '" value="' + value + '">';
			});
			$('<form target="' + target + '" action="' + location + '" method="POST">' + form + '</form>').appendTo($(document.body)).submit();
		}

		// function crearPestanaCanalidad(id, numero) {
		// 	obtenerVentanas();
		// 	$("#contConts").append(
		// 		'\n\t\t<div class="container row frameBox col-sm-12" id="cont' +
		// 		id +
		// 		'">\n\t\t\t\t<iframe src="<?= RUTA_WA; ?>" id="crm1' +
		// 		id +
		// 		'" name="crm1' + id + '" class="ifrLeft col-sm-12" frameborder="1" scrolling="yes" style="overflow-y:scroll;overflow-x:scroll;" sandbox="allow-forms  allow-modals allow-orientation-lock  allow-popups allow-same-origin allow-scripts  allow-top-navigation" allow="accelerometer  ambient-light-sensor autoplay camera display-capture fullscreen geolocation  gyroscope magnetometer  microphone midi payment speaker usb vibrate vr "></iframe></div>\n\t\t'
		// 	);
		// 	$("#barraNav").append(
		// 		'\n\t\t<li class="nav-item" id="titleTab' +
		// 		id +
		// 		'">\n\t\t\t<a onclick="muestraCont(\'' +
		// 		id +
		// 		'\')"  class="nav-link " href="#" id="tab' +
		// 		id +
		// 		'">' +
		// 		numero +
		// 		'</a>\n\t\t</li>\n\t\t'
		// 	);
		// 	pestanasLLenas.push(id);
		// 	muestraCont(id);
		// 	document.body.scrollTop = document.documentElement.scrollTop = 0;
		// 	redirectPost(`<?= RUTA_WA; ?>/Login/login`, {
		// 		usuario: `<?= $_SESSION["wa_user"]; ?>`,
		// 		password: `<?= $_SESSION["wa_pass"]; ?>`,
		// 		campana: `<?= $_SESSION["wa_camp"]; ?>`
		// 	}, `crm1${id}`)
		// 	setTimeout(() => {
		// 		$(`#crm1${id}`).attr("src", `<?= RUTA_WA; ?>`);
		// 	}, 3000);
		// }

		// var WA = <?= $_SESSION["WA_USER"]; ?>;
		// if (WA == 1) {
		// 	setTimeout(() => {
		// 		crearPestanaCanalidad("WAM", "WhatsApp Manager")
		// 	}, 5000);
		// }
		setTimeout(() => whatsappDialvoxTab(), 5000);
	<?php } ?>
</script>

<script>
	if (String(performance.getEntriesByType("navigation")[0].type) === "back_forward" || String(performance.getEntriesByType("navigation")[0].type) === "reload") {
		console.log("Se recargo la pagina")
		setTimeout(() => {
			if (DIALVOX_NEED_WA) {
				WhatsAppIframe.iframe.attr('src', RUTA_WA + "/Login/logout")
			}
			salio = true;
			window.location.assign("/" + RUTA_MAESTRA + "/index.php/homeAgente/logout");
		}, 6000);

	} else {
		console.log("This page is not reloaded");
	}
</script>

<!-- Script para revisar el ping -->
<script>
	(function() {
		function clearPingContainer(container) {
			container.classList.remove('text-secondary');
			container.classList.remove('text-danger');
			container.classList.remove('text-warning');
			container.classList.remove('text-success');
		}

		function obtenPingTelefonia() {
			var url = `${MODULOS}Latencia/obtenerLatencia`;
			$.ajax({
				url: url,
				cache: false,
				async: true,
				success: function(resp) {
					var data = resp;
					if (data.Estado == 'ok') {
						//console.log(data.Datos['latencias']['dialvox']);
						//console.log(data.Datos['latencias']['vicidial']);
						//console.log(data.Datos['latencias']['telefonia']);

						//var l_vici=data.Datos['latencias']['vicidial'];
						var l_tel = data.Datos['latencias']['telefonia'];
						const pingValuetel = document.getElementById('ping_value2');
						const pingIcontel = document.getElementById('ping_icon2');
						if (l_tel != -1) {
							pingValuetel.textContent = `${l_tel}ms`;
						} else {
							pingValuetel.textContent = '--ms';
						}


						//swicht icono tel
						if (l_tel > 200) {
							clearPingContainer(pingValuetel);
							pingValuetel.classList.add('text-secondary');
							pingIcontel.setAttribute(
								'src',
								'<?= IMG; ?>ping_tel_2.png'
							);
						} else if (l_tel > 160) {
							clearPingContainer(pingValuetel);
							pingValuetel.classList.add('text-danger');
							pingIcontel.setAttribute('src', '<?= IMG; ?>ping_tel_2.png');
						} else if (l_tel > 120) {
							clearPingContainer(pingValuetel);
							pingValuetel.classList.add('text-danger');
							pingIcontel.setAttribute(
								'src',
								'<?= IMG; ?>ping_tel_2.png'
							);
						} else if (l_tel > 80) {
							clearPingContainer(pingValuetel);
							pingValuetel.classList.add('text-warning');
							pingIcontel.setAttribute(
								'src',
								'<?= IMG; ?>ping_tel_3.png'
							);
						} else if (l_tel > 40) {
							clearPingContainer(pingValuetel);
							pingValuetel.classList.add('text-success');
							pingIcontel.setAttribute('src', '<?= IMG; ?>ping_tel_4.png');
						} else {
							clearPingContainer(pingValuetel);
							pingValuetel.classList.add('text-success');
							pingIcontel.setAttribute('src', '<?= IMG; ?>ping_tel_4.png');
						}
					} else {
						console.log(data.Descripcion);
					}
				}
			});
		}

		function obtenPingWeb() {
			const pingValue = document.getElementById('ping_value');
			const pingIcon = document.getElementById('ping_icon');
			const protocol = window.location.protocol;
			const host = window.location.host;
			var url = `${protocol}//${host}`;

			ping(url)
				.then((delta) => {
					pingValue.textContent = `${delta}ms`;

					if (delta > 200) {
						clearPingContainer(pingValue);
						pingValue.classList.add('text-secondary');
						pingIcon.setAttribute(
							'src',
							'<?= IMG; ?>wifi_1_1.svg'
						);
					} else if (delta > 160) {
						clearPingContainer(pingValue);
						pingValue.classList.add('text-danger');
						pingIcon.setAttribute('src', '<?= IMG; ?>wifi_1.svg');
					} else if (delta > 120) {
						clearPingContainer(pingValue);
						pingValue.classList.add('text-danger');
						pingIcon.setAttribute(
							'src',
							'<?= IMG; ?>wifi_2_1.svg'
						);
					} else if (delta > 80) {
						clearPingContainer(pingValue);
						pingValue.classList.add('text-warning');
						pingIcon.setAttribute(
							'src',
							'<?= IMG; ?>wifi_2.svg'
						);
					} else if (delta > 40) {
						clearPingContainer(pingValue);
						pingValue.classList.add('text-success');
						pingIcon.setAttribute('src', '<?= IMG; ?>wifi_3_1.svg');
					} else {
						clearPingContainer(pingValue);
						pingValue.classList.add('text-success');
						pingIcon.setAttribute('src', '<?= IMG; ?>wifi_3.svg');
					}
					var url = `${MODULOS}Latencia/actualizarLatenciaDialvox`;
					var datos = {
						"timestamp": delta
					};
					$.ajax({
						url: url,
						cache: false,
						async: true,
						data: datos,
						method: "POST",
						success: function(resp) {
							var data = resp;
							if (data.Estado == 'ok') {
								//console.log(data.Datos['latencias']['dialvox']);
								//console.log(data.Datos['latencias']['vicidial']);
								//console.log(data.Datos['latencias']['telefonia']);

								//var l_vici=data.Datos['latencias']['vicidial'];
								var delta = data["latencia_dialvox"];
								pingValue.textContent = `${delta}ms`;

								if (delta > 200) {
									clearPingContainer(pingValue);
									pingValue.classList.add('text-secondary');
									pingIcon.setAttribute(
										'src',
										'<?= IMG; ?>wifi_1_1.svg'
									);
								} else if (delta > 160) {
									clearPingContainer(pingValue);
									pingValue.classList.add('text-danger');
									pingIcon.setAttribute('src', '<?= IMG; ?>wifi_1.svg');
								} else if (delta > 120) {
									clearPingContainer(pingValue);
									pingValue.classList.add('text-danger');
									pingIcon.setAttribute(
										'src',
										'<?= IMG; ?>wifi_2_1.svg'
									);
								} else if (delta > 80) {
									clearPingContainer(pingValue);
									pingValue.classList.add('text-warning');
									pingIcon.setAttribute(
										'src',
										'<?= IMG; ?>wifi_2.svg'
									);
								} else if (delta > 40) {
									clearPingContainer(pingValue);
									pingValue.classList.add('text-success');
									pingIcon.setAttribute('src', '<?= IMG; ?>wifi_3_1.svg');
								} else {
									clearPingContainer(pingValue);
									pingValue.classList.add('text-success');
									pingIcon.setAttribute('src', '<?= IMG; ?>wifi_3.svg');
								}

							} else {
								console.log(data.Descripcion);
							}
						}
					});


				})
				.catch((e) => {
					pingValue.textContent = `-ms`;
					clearPingContainer(pingValue);
					pingValue.classList.add('text-secondary');
					pingIcon.setAttribute('src', '<?= IMG; ?>wifi_1_1.svg');
				});

		}

		if (PING_WEB_ACTIVO) {
			setInterval(() => obtenPingWeb(), 5000);
		}
		setTimeout(() => obtenPingTelefonia(), 3000);
		setInterval(() => obtenPingTelefonia(), TIEMPO_PING_TELEFONIA);

	})();
</script>

<!-- Script para revisar el ping -->

</body>

</html>